#version 330 core

uniform sampler2D diffuse;

in vec4 world_pos_lut;
in vec2 uv;

layout (location = 0) out vec4 frag_pos;
//layout (location = 1) out vec4 frag_color;

void main()
{
	vec4 diff = texture(diffuse, uv);
	//if ( diff.a < 0.1 ) discard;
	if ( diff.a < 0.05 ) discard;

	frag_pos.rgb = world_pos_lut.rgb;
	frag_pos.a = diff.a;

	//frag_color = diff;
}
